=== test/Makefile ===
#################################################################################
#                                                                               #
#   lablgtksourceview, OCaml binding for the GtkSourceView text widget          #
#                                                                               #
#   Copyright (C) 2005  Stefano Zacchiroli <zack@cs.unibo.it>                   #
#   Copyright (C) 2006  Stefano Zacchiroli <zack@cs.unibo.it>                   #
#                       Maxence Guesdon <maxence.guesdon@inria.fr>              #
#                                                                               #
#   This library is free software; you can redistribute it and/or modify        #
#   it under the terms of the GNU Lesser General Public License as              #
#   published by the Free Software Foundation; either version 2.1 of the        #
#   License, or (at your option) any later version.                             #
#                                                                               #
#   This library is distributed in the hope that it will be useful, but         #
#   WITHOUT ANY WARRANTY; without even the implied warranty of                  #
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU           #
#   Lesser General Public License for more details.                             #
#                                                                               #
#   You should have received a copy of the GNU Lesser General Public            #
#   License along with this library; if not, write to the Free Software         #
#   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307         #
#   USA                                                                         #
#                                                                               #
#################################################################################

include ../master.Makefile
LINKFLAGS = -I ../
TMPDIR = .test

all: test
opt: test.opt

test: test.ml ../$(PACKAGE).cma
	$(OCAMLC) $(LINKFLAGS) $(OCOMPFLAGS) lablgtk.cma gtkInit.cmo $(PACKAGE).cma -o $@ $<

test.opt: test.ml ../$(PACKAGE).cmxa
	$(OCAMLOPT) $(LINKFLAGS) $(OCOMPFLAGS) lablgtk.cmxa gtkInit.cmx $(PACKAGE).cmxa -o $@ $<

clean:
	rm -f *~ *.cm[iox] *.[ao] *.cmxa *.annot test test.opt

distclean:
