## lablgtksourceview 0.0.1-3

=== debian/changelog ===
lablgtksourceview (0.0.1-3) unstable; urgency=low

  * Rebuilt against OCaml 3.09.1, bumped deps accordingly.

 -- Stefano Zacchiroli <zack@debian.org>  Sun,  8 Jan 2006 01:30:23 +0100

lablgtksourceview (0.0.1-2) unstable; urgency=low

  * rebuilt with ocaml 3.09
  * debian/*
    - no longer hard coding of ocaml abi version anywhere

 -- Stefano Zacchiroli <zack@debian.org>  Wed, 23 Nov 2005 10:23:24 +0000

lablgtksourceview (0.0.1-1) unstable; urgency=low

  * Initial release (closes: bug#320716).

 -- Stefano Zacchiroli <zack@debian.org>  Mon,  1 Aug 2005 17:57:57 +0200
