=== debian/control ===
Source: lablgtksourceview
Section: devel
Priority: optional
Maintainer: Stefano Zacchiroli <zack@debian.org>
Build-Depends: debhelper (>= 4.1.0), cdbs, ocaml-findlib, ocaml-nox (>= 3.09.1), liblablgtk2-ocaml-dev (>= 2.6.0-2), libgtksourceview-dev (>= 1.2.0)
Standards-Version: 3.6.2

Package: liblablgtksourceview-ocaml-dev
Architecture: any
Section: libdevel
Depends: ocaml-nox-${F:OCamlABI}, ocaml-findlib, liblablgtksourceview-ocaml (= ${Source-Version}), liblablgtk2-ocaml-dev (>= 2.6.0-2), libgtksourceview-dev (>= 1.2.0), ${misc:Depends}
Description: OCaml bindings for libgtksourceview, a source editor GTK widget
 This is the OCaml binding for the GtkSourceView widget, a text widget that
 extends the standard gtk+ 2.x text widget with syntax highlighting and other
 features typical of a source editor.
 .
 This package contains the development part of the lablgtksourceview package.

Package: liblablgtksourceview-ocaml
Architecture: any
Section: libs
Depends: ocaml-base-nox-${F:OCamlABI}, liblablgtk2-ocaml (>= 2.6.0-2), ${shlibs:Depends}, ${misc:Depends}
Description: OCaml bindings for libgtksourceview, a source editor GTK widget
 This is the OCaml binding for the GtkSourceView widget, a text widget that
 extends the standard gtk+ 2.x text widget with syntax highlighting and other
 features typical of a source editor.
 .
 This package contains the shared runtime stub libraries.
