## lablgtksourceview 0.0.1-4

=== debian/changelog ===
lablgtksourceview (0.0.1-4) unstable; urgency=low

  * Rebuilt with ocaml 3.09.2, bumped deps accordingly.
  * debian/control
    - bumped Standards-Version to 3.7.2 (no changes needed)

 -- Stefano Zacchiroli <zack@debian.org>  Wed, 17 May 2006 00:11:40 -0500
