## lablgtksourceview 0.2.1-2

=== debian/changelog ===
lablgtksourceview (0.2.1-2) unstable; urgency=low

  * added prototype for _gtk_source_language_new_from_file, so that pointer
    arguments are correctly spotted on 64 bit architectures (closes: #386076)

 -- Stefano Zacchiroli <zack@debian.org>  Tue, 21 Nov 2006 11:54:49 +0100

lablgtksourceview (0.2.1-1) unstable; urgency=low

  * new upstream release (closes: #398231)
  * debian/rules
    - use ocaml.mk cdbs class
  * debian/control
    - bumped build dependency on ocaml-nox to >= 3.09.2-7 since we now use
      ocaml.mk
    - added XS-Vcs-Svn field pointing to the gna! svn repository
  * debian/control.in
    - file removed, no longer needed
  * debian/*.install
    - files removed, they are generated at build time

 -- Stefano Zacchiroli <zack@debian.org>  Sat, 18 Nov 2006 18:37:31 +0100

lablgtksourceview (0.2.0-2) unstable; urgency=low

  * Makefile
    - let ocamlc compile .o files so that -fPIC is passed consistently
      according to the architecture on which the package is built.
      Fixes FTBFS on adm64 (closes: bug#385356).
  * checkocaml.ml
    - do not fail if ocamlopt{,.opt} is not available.
      Fixes FTBFS on s390 and other archs (closes: bug#385808).

 -- Stefano Zacchiroli <zack@debian.org>  Mon,  4 Sep 2006 12:23:36 +0200

lablgtksourceview (0.2.0-1) unstable; urgency=low

  * New upstream release
    - most of gtksourceview is now available through bindings

 -- Stefano Zacchiroli <zack@debian.org>  Mon, 28 Aug 2006 17:09:07 +0200
