=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/class/ocaml.mk

DEB_CONFIGURE_EXTRA_FLAGS = --enable-ocamlfind
